-- ------------------------------------------------------------------------
-- * SQL:         db_create_doe_co2_core_csv_table.sql Version 1.0 09/16/2014
-- * Author:      John R. Victorine
-- * Description: This File contains the CREATE TABLE SQL to create 
-- *              the type log tables for the core csv file data.
-- * Copyright (c) 2014 Kansas Geological Survey
-- * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
-- * All Rights Reserved.
-- ------------------------------------------------------------------------
set time on;
set echo on;
spool c:\PLSQL\CO2\db_create_doe_co2_core_csv_table.lst;
--
-- ------------------------------------------------------------------------
-- --------------------------- DOE CO2 Table -----------------------------
-- ------------------------------------------------------------------------
--
-- ------------------------------------------------------------------------
-- TABLE: DOE CO2 Core CSV Files
-- This Table holds the DOE CO2 Core CSV ASCII Text files
-- ------------------------------------------------------------------------
--
CREATE TABLE iqstrat.doe_co2_core_csv( 
  well_header_kid           NUMBER(10),
  geo_path                  VARCHAR2(255),
  geo_filename              VARCHAR2(255),
  depth_start               NUMBER(10,4),
  depth_stop                NUMBER(10,4),
  CONSTRAINT i_doe_co2_core_p PRIMARY KEY (well_header_kid));
--
--
spool off;
set time off;
set echo off;
