-- ------------------------------------------------------------------------
-- * SQL:         db_create_doe_co2_files_table.sql Version 1.0 02/15/2013
-- * Author:      John R. Victorine
-- * Description: This File contains the CREATE TABLE SQL to create 
-- *              the type log tables for the LAS 3.0 file data.
-- * Copyright (c) 2013 Kansas Geological Survey
-- * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
-- * All Rights Reserved.
-- ------------------------------------------------------------------------
set time on;
set echo on;
spool c:\PLSQL\TYPE_LOG\db_create_doe_co2_files_table.lst;
--
-- ------------------------------------------------------------------------
-- --------------------------- Type Log Table -----------------------------
-- ------------------------------------------------------------------------
--
-- ------------------------------------------------------------------------
-- TABLE: TYPE LOG LAS 3.0 File 
-- This Table holds the Type Log LAS 3.0 Files
-- ------------------------------------------------------------------------
--
CREATE TABLE iqstrat.doe_co2_las3( 
  well_header_kid           NUMBER(10),
  file_path                 VARCHAR2(255),
  file_name                 VARCHAR2(255),
  depth_start               NUMBER(10,4),
  depth_stop                NUMBER(10,4),
  file_status               VARCHAR2(30),
  gr_log                    VARCHAR2(4),
  ohm_log                   VARCHAR2(4),
  neutron_log               VARCHAR2(4),
  density_log               VARCHAR2(4),
  pe_log                    VARCHAR2(4),
  sonic_log                 VARCHAR2(4),
  th_log                    VARCHAR2(4),
  u_log                     VARCHAR2(4),
  k_log                     VARCHAR2(4),
  gr_cnt_log                VARCHAR2(4),
  neut_cnt_log              VARCHAR2(4),
  CONSTRAINT i_doe_co2_las3_p PRIMARY KEY (well_header_kid));
--
--
-- ------------------------------------------------------------------------
-- TABLE: TYPE LOG PDF File 
-- This Table holds the Type Log Image Files
-- ------------------------------------------------------------------------
--
CREATE TABLE iqstrat.doe_co2_images( 
  well_header_kid           NUMBER(10),
  file_type                 VARCHAR2(20),
  file_path                 VARCHAR2(255),
  file_name                 VARCHAR2(255),
  depth_start               NUMBER(10,4),
  depth_stop                NUMBER(10,4),
  file_status               VARCHAR2(30),
  CONSTRAINT i_doe_co2_img_p PRIMARY KEY (well_header_kid, file_type));
--
--
spool off;
set time off;
set echo off;
