-- ------------------------------------------------------------------------
-- * SQL:         db_create_doe_co2_georeport_table.sql Version 1.0 02/20/2013
-- * Author:      John R. Victorine
-- * Description: This File contains the CREATE TABLE SQL to create 
-- *              the type log tables for the georeport file data.
-- * Copyright (c) 2013 Kansas Geological Survey
-- * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
-- * All Rights Reserved.
-- ------------------------------------------------------------------------
set time on;
set echo on;
spool c:\PLSQL\CO2\db_create_doe_co2_georeport_table.lst;
--
-- ------------------------------------------------------------------------
-- --------------------------- DOE CO2 Table -----------------------------
-- ------------------------------------------------------------------------
--
-- ------------------------------------------------------------------------
-- TABLE: DOE CO2 Davies Log Georeport Files
-- This Table holds the DOE CO2 Georeport ASCII Text files
-- ------------------------------------------------------------------------
--
CREATE TABLE iqstrat.doe_co2_georeport( 
  well_header_kid           NUMBER(10),
  geo_path                  VARCHAR2(255),
  geo_filename              VARCHAR2(255),
  depth_start               NUMBER(10,4),
  depth_stop                NUMBER(10,4),
  CONSTRAINT i_doe_co2_georpt_p PRIMARY KEY (well_header_kid));
--
--
spool off;
set time off;
set echo off;
