-- ------------------------------------------------------------------------
-- * SQL:         db_create_doe_co2_tops_table.sql Version 1.0 04/12/2013
-- * Author:      John R. Victorine
-- * Description: This File contains the CREATE TABLE SQL to create 
-- *              the DOE CO2 tables for the tops data.
-- * Copyright (c) 2013 Kansas Geological Survey
-- * 1930 Constant Avenue, Lawrence, Kansas, 66047, U.S.A.
-- * All Rights Reserved.
-- ------------------------------------------------------------------------
set time on;
set echo on;
spool c:\PLSQL\IQSTRAT\db_create_table.lst;
--
-- ------------------------------------------------------------------------
-- --------------------------- Type Log Tables ----------------------------
-- ------------------------------------------------------------------------
--
-- ------------------------------------------------------------------------
-- TABLE: TYPE LOG TOPS
-- This Table holds the DOE CO2 User Define Tops.
-- ------------------------------------------------------------------------
--
CREATE TABLE iqstrat.doe_co2_tops( 
  Source_KID      NUMBER(10),
  Well_Header_KID NUMBER(10),
  API_Number      VARCHAR2(32),
  Zeller_KID      NUMBER(10),
  Name            VARCHAR2(60),
  Depth_Top       NUMBER(8,2),
  Depth_Base      NUMBER(8,2),
  Well_Header_KID_Original NUMBER(10),
  CONSTRAINT i_doe_co2_tops_p PRIMARY KEY (source_kid, well_header_kid, zeller_kid));
